﻿/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\BDTAXR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDTAXR_TAX_DETAILS' AND KSQL_COL_NAME ='FISUPGRADE') 
 ALTER TABLE T_BDTAXR_TAX_DETAILS ADD (FISUPGRADE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TAXCODE_DETAIL') 
 CREATE TABLE T_BDTAXR_TAXCODE_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDAYS BIGINT DEFAULT 0 NOT NULL,
FPROPORTION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXBASEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMINTERVALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXCODETYPE BIGINT DEFAULT 0 NOT NULL,
FTAXRATETYPE BIGINT DEFAULT 0 NOT NULL,
FINTERVALSTARTDATE DATETIME,
FINTERVALENDDATE DATETIME,
FRESULTNUMBER VARCHAR(120) DEFAULT ' ' NOT NULL,
FRESULTNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FRESULTSOURCE VARCHAR(36) DEFAULT ' ' NOT NULL,
FRESULTID NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDTAXR_TAXCODE_DETAIL' AND KSQL_COL_NAME ='FTOTALDAYS') 
 ALTER TABLE T_BDTAXR_TAXCODE_DETAIL ADD (FTOTALDAYS BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TAXCODE_DETAIL_L') 
 CREATE TABLE T_BDTAXR_TAXCODE_DETAIL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FRESULTNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TAXCODE_RESULT') 
 CREATE TABLE T_BDTAXR_TAXCODE_RESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FDRAFTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXATIONSYS BIGINT DEFAULT 0 NOT NULL,
FTAXTYPE BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FREPORTKEY VARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXAREAGROUP BIGINT DEFAULT 0 NOT NULL,
FDRAFTPURPOSE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSPLITSTARTDATE DATETIME,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FTAXCODE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TAXCODE_SDETAIL') 
 CREATE TABLE T_BDTAXR_TAXCODE_SDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINTERVAL VARCHAR(200) DEFAULT ' ' NOT NULL,
FINTERVALJSON VARCHAR(255) DEFAULT ' ' NOT NULL,
FINTERVALJSON_TAG NCLOB,
FINTERVALTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERVALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERVALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End C:\anzhuang\PDM_UPGRADE\PDM1\BDTAXR_table.sql **/
